<template>
	<div class="p-3">
		<div class="base_block">
			<div class="cplt">
				<div class="cplt_ttl">
					<div class="cplt_ttl_name">Заявки</div>

					<div class="cplt_ttl_date d-none">Дата: 09.04.2019</div>
				</div>


				<div class="cplt_cnt">
					<div class="mb-5">
						<div class="cplt_table">
							<div class="cplt_table_hd">Входящие от оператора</div>

							<div class="cplt_table_bd">
								<div class="table-responsive settings_content_tb">
									<table class="table table-striped table-hover">
										<thead>
										<tr>
											<th scope="col">#</th>
											<th scope="col">Name</th>
											<th scope="col">Date</th>
											<th scope="col">Category</th>
											<th scope="col">Priority</th>
											<th scope="col">Status</th>
											<th scope="col" class="w-40"></th>
										</tr>
										</thead>

										<tbody>
										<tr v-for="item in ticketNewList">
											<td>{{ item.id }}</td>
											<td>
												<div class="cplt_table_name">
													<div class="txt">{{ item.applicantName ? item.applicantName : '---' }}</div>
													<i class="mdi mdi-paperclip"></i>
												</div>
											</td>
											<td>{{ item.dateTime }}</td>
											<td>
												{{ (categoryList.length > 0 && item.categoryId !== 0) ? categoryList.find(x => x.id === item.categoryId).name : '---' }}
											</td>
											<td>
												{{ (priorityList.length > 0 && item.priorityId !== 0) ? priorityList.find(x => x.id === item.priorityId).name : '---' }}
											</td>
											<td>
												{{ (statusList.length > 0 && item.status !== 0) ? statusList.find(x => x.key === item.status).value : '---' }}
											</td>
											<td>
												<div class="btn-group">
													<router-link class="icon-btn" :to="'/complaints/edit/' + item.id">
														<i class="mdi mdi-pencil"></i>
													</router-link>
												</div>
											</td>
										</tr>
										</tbody>
									</table>
								</div>
							</div>

							<div class="cplt_table_ft">
								<div class="call_message_ft d-flex justify-content-end" v-if="ticketNewList.length > 0">
									<paginate
											:page-count="ticketNewListPageCount"
											:page-range="3"
											:margin-pages="1"
											:click-handler="GetTicketsNew"
											container-class="pagination base_pagination"
											page-class="page-item"
											prev-class="page-item ctrl"
											next-class="page-item ctrl"
											page-link-class="page-link"
											prev-link-class="page-link"
											next-link-class="page-link"
											prev-text="<i class='mdi mdi-chevron-left'></i>"
											next-text="<i class='mdi mdi-chevron-right'></i>"
									>
									</paginate>
								</div>
							</div>
						</div>
					</div>


					<div>
						<div class="cplt_table">
							<div class="cplt_table_hd">Входящие от дежурного</div>

							<div class="cplt_table_bd">
								<div class="table-responsive settings_content_tb">
									<table class="table table-striped table-hover">
										<thead>
										<tr>
											<th scope="col">#</th>
											<th scope="col">Name</th>
											<th scope="col">Date</th>
											<th scope="col">Category</th>
											<th scope="col">Priority</th>
											<th scope="col">Status</th>
											<th scope="col" class="w-40"></th>
										</tr>
										</thead>

										<tbody>
										<tr v-for="item in ticketOldList">
											<td>{{ item.id }}</td>
											<td>
												<div class="cplt_table_name">
													<div class="txt">{{ item.applicantName ? item.applicantName : '---' }}</div>
													<i class="mdi mdi-paperclip"></i>
												</div>
											</td>
											<td>{{ item.dateTime }}</td>
											<td>
												{{ (categoryList.length > 0 && item.categoryId !== 0) ? categoryList.find(x => x.id === item.categoryId).name : '---' }}
											</td>
											<td>
												{{ (priorityList.length > 0 && item.priorityId !== 0) ? priorityList.find(x => x.id === item.priorityId).name : '---' }}
											</td>
											<td>
												{{ (statusList.length > 0 && item.status !== 0) ? statusList.find(x => x.key === item.status).value : '---' }}
											</td>
											<td>
												<div class="btn-group">
													<router-link class="icon-btn" :to="'/complaints/edit/' + item.id">
														<i class="mdi mdi-pencil"></i>
													</router-link>
												</div>
											</td>
										</tr>
										</tbody>
									</table>
								</div>
							</div>

							<div class="cplt_table_ft">
								<div class="call_message_ft d-flex justify-content-end" v-if="ticketOldList.length > 0">
									<paginate
											:page-count="ticketOldListPageCount"
											:page-range="3"
											:margin-pages="1"
											:click-handler="GetTicketsOld"
											container-class="pagination base_pagination"
											page-class="page-item"
											prev-class="page-item ctrl"
											next-class="page-item ctrl"
											page-link-class="page-link"
											prev-link-class="page-link"
											next-link-class="page-link"
											prev-text="<i class='mdi mdi-chevron-left'></i>"
											next-text="<i class='mdi mdi-chevron-right'></i>"
									>
									</paginate>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</template>

<style></style>

<script src="./script.js"></script>